pcl::device::CompareByLevelCode Struct Reference

`#include </build/pcl-gWGA5r/pcl-1.10.0+dfsg/gpu/octree/src/utils/morton.hpp>`

## Public Member Functions

__device__ __host__ __forceinline__ | CompareByLevelCode (int level_arg)
__device__ __host__ __forceinline__ bool | operator() (Morton::code_t code1, Morton::code_t code2) const

## Public Attributes

int | level

## Detailed Description

Definition at line 132 of file morton.hpp.

## Constructor & Destructor Documentation

## CompareByLevelCode()

__device__ __host__ __forceinline__ pcl::device::CompareByLevelCode::CompareByLevelCode | ( | int | level_arg | ) |

inline

Definition at line 137 of file morton.hpp.

## Member Function Documentation

## operator()()

__device__ __host__ __forceinline__ bool pcl::device::CompareByLevelCode::operator() | ( | Morton::code_t | code1,
|  | Morton::code_t | code2
| ) |  | const

inline

Definition at line 140 of file morton.hpp.

References pcl::device::Morton::extractLevelCode(), and level.

## Member Data Documentation

## level

int pcl::device::CompareByLevelCode::level

Definition at line 134 of file morton.hpp.

Referenced by operator()().

The documentation for this struct was generated from the following file:

- /build/pcl-gWGA5r/pcl-1.10.0+dfsg/gpu/octree/src/utils/morton.hpp